#ifndef SENDSYSTEM_H
#define SENDSYSTEM_H

#include <QObject>
#include <QTcpSocket>
#include <QDataStream>

#include <streamingVersionData.h>
#include "Core/tools.h"

class SendSystem :public QObject
{
    Q_OBJECT
public:
    explicit SendSystem(QObject* parent = nullptr);
    void setSocket(QTcpSocket *socket);
    void sendXMLmsgGUItoServer(QByteArray array);
    void sendDisable();
    void sendFileBlock(QString path);
    void sendFolderBlock(QString path);
    void sendQTConnect();
    void sendXMLAnswer(QByteArray array);
    ~SendSystem();
    void sendFinish();
    void sendChangeVersion(StreamingVersionData *streamingVersion);
    void sendDeleteVersion(StreamingVersionData *streamingVersion);
    void sendCopyVersion(QString versionName);
    void sendPacketType(PacketType packetType);
signals:
    void sigSend();
    QByteArray sigGetXmlAnswer(QString);

private:
    QTcpSocket *socket;
};

#endif // SENDSYSTEM_H
